### Hierarchy

- XNode

## Index

### Constructors

- constructor

### Properties

- attributes
- children
- isProperty
- isTemplate
- name
- classes

### Methods

- toString
- attach
- attached
- create
- factory
- getClass
- namespace
- prepare

## Constructors

### constructor

- new XNode(name: string | Function, attributes: IAttributes, children: XNode[] | XNode[][] | any[], isProperty?: boolean, isTemplate?: boolean): XNode

- - Defined in src/core/XNode.ts:209

  #### Parameters

  - ##### name: string | Function

  - ##### attributes: IAttributes

  - ##### children: XNode[] | XNode[][] | any[]

  - ##### Optional isProperty: boolean

  - ##### Optional isTemplate: boolean

  #### Returns XNode

## Properties

### attributes

attributes: IAttributes

- Defined in src/core/XNode.ts:214

### children

children: XNode[] | XNode[][] | any[]

- Defined in src/core/XNode.ts:215

### Optional isProperty

isProperty: boolean

- Defined in src/core/XNode.ts:216

### Optional isTemplate

isTemplate: boolean

- Defined in src/core/XNode.ts:217

### name

name: string | Function

- Defined in src/core/XNode.ts:213

### Static classes

classes: object

- Defined in src/core/XNode.ts:80

#### Type declaration

- ##### [key: string]: any

## Methods

### toString

- toString(): string

- - Defined in src/core/XNode.ts:220

  #### Returns string

### Static attach

- attach<T, T1, K>(n: IClassOf<T>, tag: K): object
- attach<T, T1>(n: IClassOf<T>, tag: function): object

- - Defined in src/core/XNode.ts:82

  #### Type parameters

  - #### T

  - #### T1: HTMLElementTagNameMap

  - #### K: keyof T1

  #### Parameters

  - ##### n: IClassOf<T>

  - ##### tag: K

  #### Returns object

- - Defined in src/core/XNode.ts:85

  #### Type parameters

  - #### T

  - #### T1

  #### Parameters

  - ##### n: IClassOf<T>

  - ##### tag: function

    - - (a?: Partial<T1>, ...nodes: XNode[]): XNode

      - #### Parameters

        - ##### Optional a: Partial<T1>

        - ##### Rest ...nodes: XNode[]

        #### Returns XNode

  #### Returns object

### Static attached

- attached(name: string): AttachedNode

- - Defined in src/core/XNode.ts:129

  #### Parameters

  - ##### name: string

  #### Returns AttachedNode

### Static create

- create(name: string | Function, attributes: IAttributes, ...children: Array<XNode | XNode[] | any>): XNode

- - Defined in src/core/XNode.ts:194

  #### Parameters

  - ##### name: string | Function

  - ##### attributes: IAttributes

  - ##### Rest ...children: Array<XNode | XNode[] | any>

  #### Returns XNode

### Static factory

- factory(name: any, isProperty: any, isTemplate: any): (Anonymous function)

- - Defined in src/core/XNode.ts:149

  #### Parameters

  - ##### name: any

  - ##### isProperty: any

  - ##### isTemplate: any

  #### Returns (Anonymous function)

### Static getClass

- getClass(fullTypeName: string, assemblyName: string): any

- - Defined in src/core/XNode.ts:137

  #### Parameters

  - ##### fullTypeName: string

  - ##### assemblyName: string

  #### Returns any

### Static namespace

- namespace(ns: string, assemblyName: string): (Anonymous function)

- - Defined in src/core/XNode.ts:158

  Declares Root Namespace and Assembly. You can use return function to to declare the type

  #### Parameters

  - ##### ns: string

    Root Namespace

  - ##### assemblyName: string

  #### Returns (Anonymous function)

### Static prepare

- prepare<T>(n: any, isProperty?: boolean, isTemplate?: boolean): function

- - Defined in src/core/XNode.ts:98

  #### Type parameters

  - #### T

  #### Parameters

  - ##### n: any

  - ##### Optional isProperty: boolean

  - ##### Optional isTemplate: boolean

  #### Returns function

  - - (attributes: Partial<T>, ...nodes: XNode[]): XNode

    - #### Parameters

      - ##### attributes: Partial<T>

      - ##### Rest ...nodes: XNode[]

      #### Returns XNode

Generated using TypeDoc